Bug 16236 - /boot/kernel.h is incorrect for SMP boots
/boot/kernel.h is incorrect for SMP boots
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2000-08-15 10:21 EDT by adler
Modified: 2014-03-16 22:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-08-16 18:30:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description adler 2000-08-15 10:21:12 EDT
The file /boot/kernel.h does not get set properly when booting an SMP
system. My system, which is booted up in SMP using the enterprise edition

[adler@ssadler adler]$ \telnet 0
Connected to 0 (
Escape character is '^]'.

Red Hat Linux release 6.9.5 (Pinstripe)
Kernel 2.2.16-17enterprise on a 2-processor i686

has /boot/kernel.h setup as if I booted in uni-processor mode.

[adler@ssadler adler]$ cat /boot/kernel.h
/* This file is automatically generated at boot time. */
#ifndef __BOOT_KERNEL_H_
#define __BOOT_KERNEL_H_

#define __BOOT_KERNEL_SMP 0

#ifndef __BOOT_KERNEL_UP
#define __BOOT_KERNEL_UP 1


I found this problem when compiling driver code.

Cheers. Steve.
Comment 1 Bill Nottingham 2000-08-15 22:24:24 EDT
This is an initscripts problem (most likely).
Comment 2 Glen Foster 2000-08-16 18:30:30 EDT
Bill, please try to fix this bug ASAP
Comment 3 Bill Nottingham 2000-08-16 23:46:05 EDT
This should be fixed in initscripts-5.45-1.

Note You need to log in before you can comment on or make changes to this bug.